darcs-2.12.5: a distributed, interactive, smart revision control system

Safe Haskell | None
Language | Haskell2010

Darcs.Patch.SummaryData

# Documentation

data SummDetail #

Constructors

SummAddDir FileName |
SummRmDir FileName |
SummFile SummOp FileName Int Int Int |
SummMv FileName FileName |
SummNone |

Instances

Eq SummDetail # |
Methods (==) :: SummDetail -> SummDetail -> Bool # (/=) :: SummDetail -> SummDetail -> Bool #
Ord SummDetail # |
Methods compare :: SummDetail -> SummDetail -> Ordering # (<) :: SummDetail -> SummDetail -> Bool # (<=) :: SummDetail -> SummDetail -> Bool # (>) :: SummDetail -> SummDetail -> Bool # (>=) :: SummDetail -> SummDetail -> Bool # max :: SummDetail -> SummDetail -> SummDetail # min :: SummDetail -> SummDetail -> SummDetail #

data SummOp #

Constructors

SummAdd |
SummRm |
SummMod |

Instances

Eq SummOp # |
Methods (==) :: SummOp -> SummOp -> Bool # (/=) :: SummOp -> SummOp -> Bool #
Ord SummOp # |
Methods compare :: SummOp -> SummOp -> Ordering # (<) :: SummOp -> SummOp -> Bool # (<=) :: SummOp -> SummOp -> Bool # (>) :: SummOp -> SummOp -> Bool # (>=) :: SummOp -> SummOp -> Bool # max :: SummOp -> SummOp -> SummOp # min :: SummOp -> SummOp -> SummOp #